local wotlkScale = 1.33 -- 33%

local function GetPointValue(points)
    local p = 0

    if HCS_GameVersion < 30000 then -- Classic
        p = points
    else                            
        p = points * wotlkScale     -- Wotlk
    end
    
    return p
end

HCS_RanksDB = {
    -- Bronze
    {
        Rank = 1,
        Level = 0,
        Name = "Bronze",
        LevelText = "Bronze",
        MinPoints = GetPointValue(0),
        MaxPoints = GetPointValue(19.99),
        PortraitImage = Img_hcs_Rank1_Level0,
        SimplePortraitImage = Img_hcs_Rank1,
        PortraitBoarderImage = Img_hcs_lvl_1_border, 
    },
    {
        Rank = 1,
        Level = 1,
        Name = "Bronze",
        LevelText = "Bronze - lvl 1",
        MinPoints = GetPointValue(20),
        MaxPoints = GetPointValue(39.99),
        PortraitImage = Img_hcs_Rank1_Level1,
        SimplePortraitImage = Img_hcs_Rank1,
        PortraitBoarderImage = Img_hcs_lvl_1_border, 
    },
    {
        Rank = 1,
        Level = 2,
        Name = "Bronze",
        LevelText = "Bronze - lvl 2",
        MinPoints = GetPointValue(40),
        MaxPoints = GetPointValue(59.99),
        PortraitImage = Img_hcs_Rank1_Level2,
        SimplePortraitImage = Img_hcs_Rank1,
        PortraitBoarderImage = Img_hcs_lvl_1_border, 
    },
    {
        Rank = 1,
        Level = 3,
        Name = "Bronze",
        LevelText = "Bronze - lvl 3",
        MinPoints = GetPointValue(60),
        MaxPoints = GetPointValue(79.99),
        PortraitImage = Img_hcs_Rank1_Level3,
        SimplePortraitImage = Img_hcs_Rank1,
        PortraitBoarderImage = Img_hcs_lvl_1_border, 
    },
    {
        Rank = 1,
        Level = 4,
        Name = "Bronze",
        LevelText = "Bronze - lvl 4",
        MinPoints = GetPointValue(80),
        MaxPoints = GetPointValue(99.99),
        PortraitImage = Img_hcs_Rank1_Level4,
        SimplePortraitImage = Img_hcs_Rank1,
        PortraitBoarderImage = Img_hcs_lvl_1_border, 
    },
    -- Silver
    {
        Rank = 2,
        Level = 0,
        Name = "Silver",
        LevelText = "Silver",
        MinPoints = GetPointValue(100),
        MaxPoints = GetPointValue(279.99),
        PortraitImage = Img_hcs_Rank2_Level0,
        SimplePortraitImage = Img_hcs_Rank2,
        PortraitBoarderImage = Img_hcs_lvl_2_border, 
    },
    {
        Rank = 2,
        Level = 1,
        Name = "Silver",
        LevelText = "Silver - lvl 1",
        MinPoints = GetPointValue(280),
        MaxPoints = GetPointValue(459.99),
        PortraitImage = Img_hcs_Rank2_Level1,
        SimplePortraitImage = Img_hcs_Rank2,
        PortraitBoarderImage = Img_hcs_lvl_2_border, 
    },
    {
        Rank = 2,
        Level = 2,
        Name = "Silver",
        LevelText = "Silver - lvl 2",
        MinPoints = GetPointValue(460),
        MaxPoints = GetPointValue(639.99),
        PortraitImage = Img_hcs_Rank2_Level2,
        SimplePortraitImage = Img_hcs_Rank2,
        PortraitBoarderImage = Img_hcs_lvl_2_border, 
    },
    {
        Rank = 2,
        Level = 3,
        Name = "Silver",
        LevelText = "Silver - lvl 3",
        MinPoints = GetPointValue(640),
        MaxPoints = GetPointValue(819.99),
        PortraitImage = Img_hcs_Rank2_Level3,
        SimplePortraitImage = Img_hcs_Rank2,
        PortraitBoarderImage = Img_hcs_lvl_2_border, 
    },
    {
        Rank = 2,
        Level = 4,
        Name = "Silver",
        LevelText = "Silver - lvl 4",
        MinPoints = GetPointValue(820),
        MaxPoints = GetPointValue(999.99),
        PortraitImage = Img_hcs_Rank2_Level4,
        SimplePortraitImage = Img_hcs_Rank2,
        PortraitBoarderImage = Img_hcs_lvl_2_border, 
    },
    -- Gold
    {
        Rank = 3,
        Level = 0,
        Name = "Gold",
        LevelText = "Gold",
        MinPoints = GetPointValue(1000),
        MaxPoints = GetPointValue(1299.99),
        PortraitImage = Img_hcs_Rank3_Level0,
        SimplePortraitImage = Img_hcs_Rank3,
        PortraitBoarderImage = Img_hcs_lvl_3_border, 
    },
    {
        Rank = 3,
        Level = 1,
        Name = "Gold",
        LevelText = "Gold - lvl 1",
        MinPoints = GetPointValue(1300),
        MaxPoints = GetPointValue(1599.99),
        PortraitImage = Img_hcs_Rank3_Level1,
        SimplePortraitImage = Img_hcs_Rank3,
        PortraitBoarderImage = Img_hcs_lvl_3_border, 
    },
    {
        Rank = 3,
        Level = 2,
        Name = "Gold",
        LevelText = "Gold - lvl 2",
        MinPoints = GetPointValue(1600),
        MaxPoints = GetPointValue(1899.99),
        PortraitImage = Img_hcs_Rank3_Level2,
        SimplePortraitImage = Img_hcs_Rank3,
        PortraitBoarderImage = Img_hcs_lvl_3_border, 
    },
    {
        Rank = 3,
        Level = 3,
        Name = "Gold",
        LevelText = "Gold - lvl 3",
        MinPoints = GetPointValue(1900),
        MaxPoints = GetPointValue(2199.99),
        PortraitImage = Img_hcs_Rank3_Level3,
        SimplePortraitImage = Img_hcs_Rank3,
        PortraitBoarderImage = Img_hcs_lvl_3_border, 
    },
    {
        Rank = 3,
        Level = 4,
        Name = "Gold",
        LevelText = "Gold - lvl 4",
        MinPoints = GetPointValue(2200),
        MaxPoints = GetPointValue(2499.99),
        PortraitImage = Img_hcs_Rank3_Level4,
        SimplePortraitImage = Img_hcs_Rank3,
        PortraitBoarderImage = Img_hcs_lvl_3_border, 
    },
    -- Platinum
    {
        Rank = 4,
        Level = 0,
        Name = "Platinum",
        LevelText = "Platinum",
        MinPoints = GetPointValue(2500),
        MaxPoints = GetPointValue(2999.99),
        PortraitImage = Img_hcs_Rank4_Level0,
        SimplePortraitImage = Img_hcs_Rank4,
        PortraitBoarderImage = Img_hcs_lvl_4_border, 
    },
    {
        Rank = 4,
        Level = 1,
        Name = "Platinum",
        LevelText = "Platinum - lvl 1",
        MinPoints = GetPointValue(3000),
        MaxPoints = GetPointValue(3499.99),
        PortraitImage = Img_hcs_Rank4_Level1,
        SimplePortraitImage = Img_hcs_Rank4,
        PortraitBoarderImage = Img_hcs_lvl_4_border, 
    },
    {
        Rank = 4,
        Level = 2,
        Name = "Platinum",
        LevelText = "Platinum - lvl 2",
        MinPoints = GetPointValue(3500),
        MaxPoints = GetPointValue(3999.99),
        PortraitImage = Img_hcs_Rank4_Level2,
        SimplePortraitImage = Img_hcs_Rank4,
        PortraitBoarderImage = Img_hcs_lvl_4_border, 
    },
    {
        Rank = 4,
        Level = 3,
        Name = "Platinum",
        LevelText = "Platinum - lvl 3",
        MinPoints = GetPointValue(4000),
        MaxPoints = GetPointValue(4499.99),
        PortraitImage = Img_hcs_Rank4_Level3,
        SimplePortraitImage = Img_hcs_Rank4,
        PortraitBoarderImage = Img_hcs_lvl_4_border, 
    },
    {
        Rank = 4,
        Level = 4,
        Name = "Platinum",
        LevelText = "Platinum - lvl 4",
        MinPoints = GetPointValue(4500),
        MaxPoints = GetPointValue(4999.99),
        PortraitImage = Img_hcs_Rank4_Level4,
        SimplePortraitImage = Img_hcs_Rank4,
        PortraitBoarderImage = Img_hcs_lvl_4_border, 
    },
    -- Diamond
    {
        Rank = 5,
        Level = 0,
        Name = "Diamond",
        LevelText = "Diamond",
        MinPoints = GetPointValue(5000),
        MaxPoints = GetPointValue(5999.99),
        PortraitImage = Img_hcs_Rank5_Level0,
        SimplePortraitImage = Img_hcs_Rank5,
        PortraitBoarderImage = Img_hcs_lvl_5_border, 
    },
    {
        Rank = 5,
        Level = 1,
        Name = "Diamond",
        LevelText = "Diamond - lvl 1",
        MinPoints = GetPointValue(6000),
        MaxPoints = GetPointValue(6999.99),
        PortraitImage = Img_hcs_Rank5_Level1,
        SimplePortraitImage = Img_hcs_Rank5,
        PortraitBoarderImage = Img_hcs_lvl_5_border, 
    },
    {
        Rank = 5,
        Level = 2,
        Name = "Diamond",
        LevelText = "Diamond - lvl 2",
        MinPoints = GetPointValue(7000),
        MaxPoints = GetPointValue(7999.99),
        PortraitImage = Img_hcs_Rank5_Level2,
        SimplePortraitImage = Img_hcs_Rank5,
        PortraitBoarderImage = Img_hcs_lvl_5_border, 
    },
    {
        Rank = 5,
        Level = 3,
        Name = "Diamond",
        LevelText = "Diamond - lvl 3",
        MinPoints = GetPointValue(8000),
        MaxPoints = GetPointValue(8999.99),
        PortraitImage = Img_hcs_Rank5_Level3,
        SimplePortraitImage = Img_hcs_Rank5,
        PortraitBoarderImage = Img_hcs_lvl_5_border, 
    },
    {
        Rank = 5,
        Level = 4,
        Name = "Diamond",
        LevelText = "Diamond - lvl 4",
        MinPoints = GetPointValue(9000),
        MaxPoints = GetPointValue(9999.99),
        PortraitImage = Img_hcs_Rank5_Level4,
        SimplePortraitImage = Img_hcs_Rank5,
        PortraitBoarderImage = Img_hcs_lvl_5_border, 
    },
    -- Epic
    {
        Rank = 6,
        Level = 0,
        Name = "Epic",
        LevelText = "Epic",
        MinPoints = GetPointValue(10000),
        MaxPoints = GetPointValue(11199.99),
        PortraitImage = Img_hcs_Rank6_Level0,
        SimplePortraitImage = Img_hcs_Rank6,
        PortraitBoarderImage = Img_hcs_lvl_6_border, 
    },
    {
        Rank = 6,
        Level = 1,
        Name = "Epic",
        LevelText = "Epic - lvl 1",
        MinPoints = GetPointValue(11200),
        MaxPoints = GetPointValue(12399.99),
        PortraitImage = Img_hcs_Rank6_Level1,
        SimplePortraitImage = Img_hcs_Rank6,
        PortraitBoarderImage = Img_hcs_lvl_6_border, 
    },
    {
        Rank = 6,
        Level = 2,
        Name = "Epic",
        LevelText = "Epic - lvl 2",
        MinPoints = GetPointValue(12400),
        MaxPoints = GetPointValue(13599.99),
        PortraitImage = Img_hcs_Rank6_Level2,
        SimplePortraitImage = Img_hcs_Rank6,
        PortraitBoarderImage = Img_hcs_lvl_6_border, 
    },
    {
        Rank = 6,
        Level = 3,
        Name = "Epic",
        LevelText = "Epic - lvl 3",
        MinPoints = GetPointValue(13600),
        MaxPoints = GetPointValue(14799.99),
        PortraitImage = Img_hcs_Rank6_Level3,
        SimplePortraitImage = Img_hcs_Rank6,
        PortraitBoarderImage = Img_hcs_lvl_6_border, 
    },
    {
        Rank = 6,
        Level = 4,
        Name = "Epic",
        LevelText = "Epic - lvl 4",
        MinPoints = GetPointValue(14800),
        MaxPoints = GetPointValue(15999.99),
        PortraitImage = Img_hcs_Rank6_Level4,
        SimplePortraitImage = Img_hcs_Rank6,
        PortraitBoarderImage = Img_hcs_lvl_6_border, 
    },
    -- Legendary
    {
        Rank = 7,
        Level = 0,
        Name = "Legendary",
        LevelText = "Legendary",
        MinPoints = GetPointValue(16000),
        MaxPoints = GetPointValue(17399.99),
        PortraitImage = Img_hcs_Rank7_Level0,
        SimplePortraitImage = Img_hcs_Rank7,
        PortraitBoarderImage = Img_hcs_lvl_7_border, 
    },
    {
        Rank = 7,
        Level = 1,
        Name = "Legendary",
        LevelText = "Legendary lvl - 1",
        MinPoints = GetPointValue(17400),
        MaxPoints = GetPointValue(18799.99),
        PortraitImage = Img_hcs_Rank7_Level1,
        SimplePortraitImage = Img_hcs_Rank7,
        PortraitBoarderImage = Img_hcs_lvl_7_border, 
    },
    {
        Rank = 7,
        Level = 2,
        Name = "Legendary",
        LevelText = "Legendary lvl - 2",
        MinPoints = GetPointValue(18800),
        MaxPoints = GetPointValue(20199.99),
        PortraitImage = Img_hcs_Rank7_Level2,
        SimplePortraitImage = Img_hcs_Rank7,
        PortraitBoarderImage = Img_hcs_lvl_7_border, 
    },
    {
        Rank = 7,
        Level = 3,
        Name = "Legendary",
        LevelText = "Legendary lvl - 3",
        MinPoints = GetPointValue(20200),
        MaxPoints = GetPointValue(21599.99),
        PortraitImage = Img_hcs_Rank7_Level3,
        SimplePortraitImage = Img_hcs_Rank7,
        PortraitBoarderImage = Img_hcs_lvl_7_border, 
    },
    {
        Rank = 7,
        Level = 4,
        Name = "Legendary",
        LevelText = "Legendary lvl - Max",
        MinPoints = GetPointValue(21600),
        MaxPoints = GetPointValue(21600),
        PortraitImage = Img_hcs_Rank7_Level4,
        SimplePortraitImage = Img_hcs_Rank7,
        PortraitBoarderImage = Img_hcs_lvl_7_border, 
    },

}

